@use '@experiments-labs/rise_ui/src/stylesheets/core';

.gpa-task {
  display: flex;
  padding: var(--spacer-small) var(--spacer-default);
  gap: var(--spacer-small);

  &__check {
    flex: none;
  }

  &__content {
    flex-grow: 1;

    &__header {
      display: flex;
      align-items: center;
      gap: var(--spacer-default);
      grid-template-columns: 1fr 3fr 5fr auto;

      &__user {
        flex: none;
      }

      &__date {
        flex: none;
        font-weight: var(--font-weight-medium);
      }

      &__title {
        flex-grow: 1;
      }

      &__actions {
        flex: none;
      }
    }

    &__note {
      font-size: var(--font-size-smaller);
    }
  }

  &--done {
    .gpa-task__content {
      opacity: 0.6;
    }
  }

  &--form {
    &.gpa-task {
      border-radius: var(--border-radius);
      background-color: var(--component-content-background);

      .gpa-task__content {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: var(--spacer-default);

        @include core.respond-to('medium-up') {
          flex-direction: row;
        }
      }
    }
  }
}
